#define MTYPE 0 
char* seq="icl mm_mul_0  /fast     i-j-k auto DIM=1024 DIM0=1024 setnull tiling=1"; 
#define RUNPROC matrixmul()  
void matrixmul() { 
for (int i = 0; i < DIM; i++) 
 for (int j = 0; j < DIM; j++) {  
  for (int k = 0; k < DIM; k++) {
 c[i][j] += a[i][k] * b[k][j]; 
  } 
 }  
}   
